bin_PROGRAMS= theftdeterrent
LIBS = -L/usr/lib -L/opt/gnome/lib -L/usr/X11R6/lib -L../../../../lib /usr/tdagent-2.0.0.020/lib/libtsp.so.1 /usr/tdagent-2.0.0.020/lib/liblowlevel_tray.so /usr/tdagent-2.0.0.020/lib/libtddl.so.1 /usr/tdagent-2.0.0.020/lib/libsigc-2.0.so.0 /usr/tdagent-2.0.0.020/lib/libglibmm-2.4.so.1  -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXfixes -lpango-1.0 -lcairo -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  -lpthread  -lssl -lcrypto -ltsp -llowlevel_tray


INCLUDES = -I. -I/usr/include -I../../../include -I../../../../lib/GSoap/gsoap-linux-2.7/  -I../../../include/TPMCtrl `pkg-config gtk+-2.0 --cflags`

AM_CFLAGS = -DWITH_OPENSSL 
AM_CXXFLAGS = -DWITH_OPENSSL
CXXFLAGS = -O2
CFLAGS = -O2

theftdeterrent_SOURCES = ../../ConnMgmt/ConnMgmt.c \
			../../ConnMgmt/ListenBroadcast.c \
			../../ConnMgmt/ParseHttpPacket.c \
			../../ConnMgmt/soapC.c \
			../../ConnMgmt/soapClient.c \
			../../ConnMgmt/stdsoap2.c \
			../../Engine/CurrentState.c \
			../../Engine/TCEngine.c \
			../../InfoMgmt/DeviceInfo.c \
			../../InfoMgmt/IniFile.c \
			../../InfoMgmt/OtherInfo.c \
			../../InfoMgmt/PromptInfo.c \
			../../InfoMgmt/ProxyInfo.c \
			../../InfoMgmt/ServerInfo.c \
			../../Provision/Provision.c \
			../../TPMCtrl/TPMCtrl.c \
			../../TPMCtrl/TPMInterface.c \
			FormTCAgent.c \
			interface.c \
			main.c \
			resmgmt.c \
			support.c \
			tray.c \
			callbacks.c \
			errormap.c

